Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class MulBlankRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.MulBlankRecord

    public final class MulBlankRecord

extends StandardRecord

Title: Multiple Blank cell record(0x00BE)

Description: Represents a set of columns in a row with no value but with styling.

REFERENCE: PG 329 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Author:
  Andrew C. Oliver (acoliver at apache dot org), Glen Stampoultzis (glens at apache.org)
See Also:
  `BlankRecord`

Field Summary
`static short` | `sid`

Constructor Summary
`MulBlankRecord(int row, int firstCol, short[] xfs)`
`MulBlankRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`protected int` | `getDataSize()`
`int` | `getFirstColumn()`
`int` | `getLastColumn()`
`int` | `getNumColumns()` get the number of columns this contains (last-first +1)
`int` | `getRow()`
`short` | `getSid()` return the non static version of the id for this record.
`short` | `getXFAt(int coffset)` returns the xf index for column (coffset = column - field_2_first_col)
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### MulBlankRecord

    public MulBlankRecord(int row,
                          int firstCol,
                          short[] xfs)

### MulBlankRecord

    public MulBlankRecord(RecordInputStream in)

Parameters:
  `in` - the RecordInputstream to read the record from

Method Detail

### getRow

    public int getRow()

  Returns:
    the row number of the cells this represents

### getFirstColumn

    public int getFirstColumn()

  Returns:
    starting column (first cell this holds in the row). Zero based

### getLastColumn

    public int getLastColumn()

  Returns:
    ending column (last cell this holds in the row). Zero based

### getNumColumns

    public int getNumColumns()

  get the number of columns this contains (last-first +1)

  Returns:
    number of columns (last - first +1)

### getXFAt

    public short getXFAt(int coffset)

  returns the xf index for column (coffset = column - field_2_first_col)

  Parameters:
    `coffset` - the column (coffset = column - field_2_first_col)
  Returns:
    the XF index for the column

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The subclass must write the exact number of bytes as reported by `RecordBase.getRecordSize()`}

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.